#
# spec file for package python-asciitree
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-asciitree
Version:        0.3.3
Release:        4.3
Summary:        Python module to draw ASCII trees
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/mbr/asciitree
# https://github.com/mbr/asciitree/issues/16 -- no tests on PyPI
Source:         https://github.com/mbr/asciitree/archive/%{version}.tar.gz#/asciitree-%{version}-gh.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
ASCIItree draws tree structures using characters.

%prep
%setup -q -n asciitree-%{version}
sed -i '1{/env python/ d}' asciitree/__init__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/asciitree
%{python_sitelib}/asciitree-%{version}*info

%changelog
* Fri Mar 29 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Nov 23 2020 Benjamin Greiner <code@bnavigator.de>
- The tests need pytest for discovery
* Wed Oct 14 2020 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in description.
* Tue Oct 13 2020 Benjamin Greiner <code@bnavigator.de>
- clean spec-file
- switch to Github archive for tests gh#mbr/asciitree#16
* Thu Jan 17 2019 Todd R <toddrme2178@gmail.com>
- Initial version
